import 'package:json_annotation/json_annotation.dart';

part 'job_concerned_with_student_params.g.dart';

@JsonSerializable(includeIfNull: false)
class JobConcernedWithStudentParams extends Object {
  @JsonKey(name: 'taskIds')
  List<int> taskIds;

  @JsonKey(name: 'pageIndex')
  int? pageIndex;

  @JsonKey(name: 'isCommit')
  bool? isCommit;

  JobConcernedWithStudentParams(this.taskIds, {this.isCommit, this.pageIndex});

  factory JobConcernedWithStudentParams.fromJson(Map<String, dynamic> srcJson) =>
      _$JobConcernedWithStudentParamsFromJson(srcJson);

  Map<String, dynamic> toJson() => _$JobConcernedWithStudentParamsToJson(this);
}
